Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.invocation.response
Class RenderResponse

    java.lang.Object
      org.jboss.portal.portlet.invocation.response.PortletInvocationResponse
          org.jboss.portal.portlet.invocation.response.RenderResponse

    public class RenderResponse

extends PortletInvocationResponse

Want to be rendered.

Version:
  $Revision: 5477 $
Author:
  Julien Viet

Field Summary
`protected Mode` | `mode` The new mode requested.
`protected StateString` | `state` The navigational state returned.
`protected WindowState` | `windowState` The new window state requested.

Constructor Summary
`RenderResponse()`

Method Summary
`Mode` | `getMode()`
`StateString` | `getNavigationalState()`
`WindowState` | `getWindowState()`
`void` | `setMode(Mode mode)`
`void` | `setNavigationalState(StateString state)`
`void` | `setWindowState(WindowState windowState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### state

    protected StateString state

  The navigational state returned.

### windowState

    protected WindowState windowState

  The new window state requested.

### mode

    protected Mode mode

  The new mode requested.

Constructor Detail

### RenderResponse

    public RenderResponse()

Method Detail

### getMode

    public Mode getMode()

### setMode

    public void setMode(Mode mode)

### getWindowState

    public WindowState getWindowState()

### setWindowState

    public void setWindowState(WindowState windowState)

### getNavigationalState

    public StateString getNavigationalState()

### setNavigationalState

    public void setNavigationalState(StateString state)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD